getFixedAssetClasses
READGet fixed asset classes.
POST /api/v1/accounting/getFixedAssetClasses
curl -X POST '<your-host>/api/v1/accounting/getFixedAssetClasses' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"id": "string",
"name": "string",
"description": "string",
"depreciationMethod": "Straight Line",
"usefulLifeMonths": 0,
"residualValuePercent": 0,
"taxDepreciationMethod": "Straight Line",
"taxUsefulLifeMonths": 0,
"macrsPropertyClass": "3"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}